Subject: Re: linux-next: build warnings after merge of the devicetree tree

From: Michael Walle <[email-masked]>
Date: Sat, 15 Jan 2022 12:33:38 +0100

Hi,

Am 2022-01-15 05:32, schrieb Stephen Rothwell:
> After merging the devicetree tree, today's linux-next build (htmldocs)
> produced these warnings:
> 
> include/linux/of.h:1037: warning: Function parameter or member 'np'
> not described in 'of_parse_phandle_with_optional_args'
> include/linux/of.h:1037: warning: Function parameter or member
> 'list_name' not described in 'of_parse_phandle_with_optional_args'
> include/linux/of.h:1037: warning: Function parameter or member
> 'cells_name' not described in 'of_parse_phandle_with_optional_args'
> include/linux/of.h:1037: warning: Function parameter or member 'index'
> not described in 'of_parse_phandle_with_optional_args'
> include/linux/of.h:1037: warning: Function parameter or member
> 'out_args' not described in 'of_parse_phandle_with_optional_args'
> 
> Introduced by commit
> 
>   952c4865d27a ("of: base: add of_parse_phandle_with_optional_args()")

Sorry about that, just sent a fixes patch:
https://lore.kernel.org/linux-devicetree/[email-masked]/

-michael